CGAL 6.2 - Algebraic Kernel: AlgebraicKernel_d_1::ConstructAlgebraicReal_1 Concept Reference

CGAL 6.2 - Algebraic Kernel

Loading...
Searching...
No Matches
List of all members
AlgebraicKernel_d_1::ConstructAlgebraicReal_1 Concept Reference
Reference Manual » Concepts » Univariate Algebraic Kernel

## Definition

Constructs `AlgebraicKernel_d_1::Algebraic_real_1`.

Refines
  `AdaptableFunctor`

See also
  `AlgebraicKernel_d_2::ConstructAlgebraicReal_2`

## Types
typedef AlgebraicKernel_d_1::Algebraic_real_1 | result_type

## Operations
result_type | operator() (int a)
| introduces an `AlgebraicKernel_d_1::Algebraic_real_1` initialized to \( a\).
result_type | operator() (AlgebraicKernel_d_1::Bound a)
| introduces an `AlgebraicKernel_d_1::Algebraic_real_1` initialized to \( a\).
result_type | operator() (AlgebraicKernel_d_1::Coefficient a)
| introduces an `AlgebraicKernel_d_1::Algebraic_real_1` initialized to \( a\).
result_type | operator() (AlgebraicKernel_d_1::Polynomial_1 p, AlgebraicKernel_d_1::size_type i)
| introduces an `AlgebraicKernel_d_1::Algebraic_real_1` initialized to the \( i\)-th real root of \( p\).
result_type | operator() (AlgebraicKernel_d_1::Polynomial_1 p, AlgebraicKernel_d_1::Bound l, AlgebraicKernel_d_1::Bound u)
| introduces an `AlgebraicKernel_d_1::Algebraic_real_1` initialized to the only real root of \( p\) in the open interval \( I = (l,u)\).

## Member Function Documentation

## ◆ operator()() [1/2]

result_type AlgebraicKernel_d_1::ConstructAlgebraicReal_1::operator() | ( | AlgebraicKernel_d_1::Polynomial_1 | p,
|  | AlgebraicKernel_d_1::Bound | l,
|  | AlgebraicKernel_d_1::Bound | u
| ) |  |

introduces an `AlgebraicKernel_d_1::Algebraic_real_1` initialized to the only real root of \( p\) in the open interval \( I = (l,u)\).

Precondition
  \( l < u\)
  \( p\) is square free.
  \( p\) has exactly one real root in \( I\)
  \( p\) has no real root on \( \partial I\)

## ◆ operator()() [2/2]

result_type AlgebraicKernel_d_1::ConstructAlgebraicReal_1::operator() | ( | AlgebraicKernel_d_1::Polynomial_1 | p,
|  | AlgebraicKernel_d_1::size_type | i
| ) |  |

introduces an `AlgebraicKernel_d_1::Algebraic_real_1` initialized to the \( i\)-th real root of \( p\).

The index starts at \( 0\), that is, \( p\) must have at least \( i+1\) real roots.

Precondition
  \( p\) is square free.
  \( p\) has at least \( i+1\) real roots.